
Redmine - Defect #7417

parent issue display problem

2011-01-23 04:57 - yu xiaohang

Status: Closed Start date: 2011-01-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.0

Description

i am using parent issue mode ,but i find it is impossible to display relationship tree of the issues correctly when you create son issue

before parent issue. it can only be displayed when its issue number is bigger than parents',but if issues sorted by issue number this

problem will be reverted just like the picture below:
Related issues:

Is duplicate of Redmine - Feature #7907: Display Issues in a hierarchy (tree) New 2011-03-17

Has duplicate Redmine - Defect #23026: Subject in Custom query not showing NE... Closed

History

#1 - 2011-01-24 18:37 - Jean-Philippe Lang

To properly display the issue tree, add the 'Parent task' column and sort by this column.

It's awkward, I know.

#2 - 2011-02-23 15:14 - Ryan Cross

There is still a defect here where subtasks are indented in the listing only if there is a parent task above it but regardless of if it is that tasks parent.

It would also be beneficial to have a toggle option to have these indents or just leave out any visual representation of subtasks.

#3 - 2011-02-23 15:23 - Etienne Massip

- Category set to Issues

#4 - 2011-04-12 19:10 - Adam M

This is still an issue in 1.1.1

#5 - 2012-03-15 11:51 - Vitaly Klimov

Please check my plugin - it solves this behavior:

http://www.redmine.org/plugins/redmine_smart_issues_sort

#6 - 2013-03-26 08:00 - Dipan Mehta

+1. This is very important. Can we solved this in Redmine in 2.4 without having to use the plugin?

#7 - 2013-03-26 08:01 - Dipan Mehta

Add related #10048 and #7907

#8 - 2013-03-27 06:16 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #7907.

#7907 has many watchers.

#9 - 2016-07-02 15:05 - Toshi MARUYAMA
http://www.redmine.org/plugins/redmine_smart_issues_sort
https://www.redmine.org/issues/10048
https://www.redmine.org/issues/7907
https://www.redmine.org/issues/7907
https://www.redmine.org/issues/7907


- Has duplicate Defect #23026: Subject in Custom query not showing NESTED issues properly added
